/* 
 *  Licensed Materials - Property of IBM 
 *  Component IBM Rational ROSE_RT BUILD : TARGET_RTS 
 *  (c) Copyright IBM Corporation 1991, 2005 All Rights Reserved. 
 */

#include <RTAsciiDecoding.h>

int RTAsciiDecoding::get_unsignedint( unsigned int & value )
{
    const unsigned      shift = 8U * sizeof( value ) - 1U;
    const unsigned long bias  = 1UL << shift;
    long                tmp   = 0L;

    if( get_long( tmp ) != 0 &&
	( ( bias + (unsigned long)tmp ) >> shift ) <= 1UL )
    {
	value = (int)tmp;
	return 1;
    }

    return 0;
}
