/* 
 *  Licensed Materials - Property of IBM 
 *  Component IBM Rational ROSE_RT BUILD : TARGET_RTS 
 *  (c) Copyright IBM Corporation 1991, 2005 All Rights Reserved. 
 */

#include <RTAsciiDecoding.h>

int RTAsciiDecoding::get_unsignedshort( unsigned short & value )
{
    const unsigned shift = 8U * sizeof( value ) - 1U;
    unsigned long  tmp   = 0L;

    if( get_unsignedlong( tmp ) != 0 && ( tmp >> shift ) <= 1UL )
    {
	value = (unsigned short)tmp;
	return 1;
    }

    return 0;
}
